Subject: Re: Re: _open problem using O_EXCL flag and -mno-cygwin
From: "David Ponce" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Fri, 15 Dec 2000 23:04:45 +0100 (MET)

Hello,

"Dan Holmsand" <[email-masked]> gave me the solution:

>  I saw your post on the cygwin list about O_EXCL trouble with
>  -mno-cygwin. 
>
>  I've come across this also, and found (the hard way) that O_EXCL
>  doesn't play well with O_TRUNC (and after all, logically they are
>  mutually exclusive).

>  So, you might want to try without O_TRUNC - and it just might work...

So if I dont use the O_TRUNC with the O_EXCL flags, _open works well.

Sincerely,
David

--
Want to unsubscribe from this list?
Send a message to [email-masked]